TelepathyQt4: ChannelInterfacePasswordInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# ChannelInterfacePasswordInterface Class Reference
[Channel proxies]

`#include <TelepathyQt4/Channel>`

Inherits Tp::AbstractInterface.

List of all members.

## Public Slots

- QDBusPendingReply< uint > GetPasswordFlags ()
- QDBusPendingReply< bool > ProvidePassword (const QString &password)

## Signals

- void PasswordFlagsChanged (uint added, uint removed)

## Public Member Functions

- ChannelInterfacePasswordInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- ChannelInterfacePasswordInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- ChannelInterfacePasswordInterface (Tp::DBusProxy *proxy)
- ChannelInterfacePasswordInterface (const Tp::Client::ChannelInterface &mainInterface)
- ChannelInterfacePasswordInterface (const Tp::Client::ChannelInterface &mainInterface, QObject *parent)

## Static Public Member Functions

- static const char * staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Interface.Password."

## Constructor & Destructor Documentation

ChannelInterfacePasswordInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0` |
| ) |  |  |

Creates a ChannelInterfacePasswordInterface associated with the given object on the session bus.

Parameters:

  | busName | Name of the service the object is on.
  | objectPath | Path to the object on the service.
  | parent | Passed to the parent class constructor.

ChannelInterfacePasswordInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0` |
| ) |  |  |

Creates a ChannelInterfacePasswordInterface associated with the given object on the given bus.

Parameters:

  | connection | The bus via which the object can be reached.
  | busName | Name of the service the object is on.
  | objectPath | Path to the object on the service.
  | parent | Passed to the parent class constructor.

ChannelInterfacePasswordInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ChannelInterfacePasswordInterface associated with the same object as the given proxy.

Parameters:

  | proxy | The proxy to use. It will also be the QObject::parent() for this object.

ChannelInterfacePasswordInterface | ( | const Tp::Client::ChannelInterface & | mainInterface | ) | `[explicit]`

Creates a ChannelInterfacePasswordInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters:

  | mainInterface | The proxy to use.

ChannelInterfacePasswordInterface | ( | const Tp::Client::ChannelInterface & | mainInterface,
|  | QObject * | parent |
| ) |  |  |

Creates a ChannelInterfacePasswordInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters:

  | mainInterface | The proxy to use.
  | parent | Passed to the parent class constructor.

## Member Function Documentation

static const char* staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.Telepathy.Channel.Interface.Password", which this class represents.

Returns:
  The D-Bus interface name.

QDBusPendingReply<uint> GetPasswordFlags | ( |  | ) | `[inline, slot]`

Begins a call to the D-Bus method "GetPasswordFlags" on the remote object.

Returns the bitwise-OR of the flags relevant to the password on this channel. The user interface can use this to present information about which operations are currently valid.

Returns:

An integer with the logical OR of all the flags set (values of ChannelPasswordFlags)

QDBusPendingReply<bool> ProvidePassword | ( | const QString & | password | ) | `[inline, slot]`

Begins a call to the D-Bus method "ProvidePassword" on the remote object.

Provide the password so that the channel can be joined. Must be called with the correct password in order for channel joining to proceed if the 'provide' password flag is set.

Parameters:

  | password | The password

void PasswordFlagsChanged | ( | uint | added,
|  | uint | removed |
| ) |  |  | `[signal]`

Represents the signal "PasswordFlagsChanged" on the remote object.

Emitted when the flags as returned by GetPasswordFlags are changed. The user interface should be updated as appropriate.

Parameters:

  | added | A bitwise OR of the flags which have been set
  | removed | A bitwise OR of the flags which have been cleared

virtual void invalidate | ( | Tp::DBusProxy * | ,
|  | const QString & | ,
|  | const QString & |  |
| ) |  |  | `[protected, virtual]`